#include "thermalwidget.h"
#include "ui_thermalwidget.h"

ThermalWidget::ThermalWidget(QWidget *parent) :
    QWidget(parent),
    ui(new Ui::ThermalWidget)
{
    ui->setupUi(this);
}

ThermalWidget::~ThermalWidget()
{
    delete ui;
}

void ThermalWidget::setTitle(QString title)
{
    ui->label_title->setText(title);
}

void ThermalWidget::setTemperature(int temperature)
{
    ui->label_temp->setText(QString::number(temperature));
}

void ThermalWidget::setFrequency(int freq)
{
    ui->label_freq->setText(QString::number(freq));
}
